aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorRob Landley <rob@landley.net>2018-10-27 15:12:11 -0500
committerRob Landley <rob@landley.net>2018-10-27 15:12:11 -0500
commita3ebfb38cb840bd8d41c74df3c008105e3c6136d (patch)
tree79eeb8da1d5f42c1013aaa38e1768205804658aa /scripts
parent9d68531780ca29a33d628ce72e0e0f5ebe32ef70 (diff)
downloadtoybox-a3ebfb38cb840bd8d41c74df3c008105e3c6136d.tar.gz
Don't unnecessarily recalculate library list.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/make.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/make.sh b/scripts/make.sh
index 32e0825c..ca48cd02 100755
--- a/scripts/make.sh
+++ b/scripts/make.sh
@@ -101,8 +101,8 @@ genbuildsh()
echo '$BUILD $FILES $LINK'
}
-if ! cmp -s <(genbuildsh | head -n 7) \
- <(head -n 7 generated/build.sh 2>/dev/null)
+if ! cmp -s <(genbuildsh | head -n 6 ; echo LINK="'"$LDOPTIMIZE $LDFLAGS) \
+ <(head -n 7 generated/build.sh 2>/dev/null | sed '7s/ -o .*//')
then
echo -n "Library probe"